Exceuting v19.0 JUnit tests

MagicDraw OpenAPI, scripting related questions and discussions

Moderator: Moderators

Exceuting v19.0 JUnit tests

Postby marc.zeller@siemens.com » Thu Dec 13, 2018 1:51 pm

Dear all,

I created some test cases for my MagicDraw 19.0 plugins but when I try to execute them using JUnit, i get the following error:

Code: Select all
[junit] java.lang.IllegalStateException: Application has to be started inside OSGI Framework


this error is caused by a

Code: Select all
    [junit] java.lang.NullPointerException
    [junit]    at com.nomagic.runtime.Bridge.isGUIVisible(Bridge.java:68)


Unfortunately, I don't find a we to start the test case with magic draw using OSGi. The documentation only provides an ant script which produces the same error.

Regards,
Marc
marc.zeller@siemens.com
Forum Newbie
Forum Newbie
 
Posts: 13
Posts Rating:0
Joined: Tue Aug 05, 2014 6:05 am

Return to Programmatic Extendibility

Who is online

Users browsing this forum: No registered users and 0 guests

cron